apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-minio-operator
spec:
  description: Allow access to the Kube API server
  endpointSelector:
    matchLabels:
      app: minio
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: minio-operator
      toPorts:
        - ports:
            - port: "9000"
              protocol: TCP
